curl https://api2.ecomailapp.cz/data-feeds/1/refresh \
-H "key: YOUR_API_KEY" \
-H "Content-Type: application/json"
$feedId = 1;
$ch = curl_init();
curl_setopt($ch, CURLOPT_URL, "https://api2.ecomailapp.cz/data-feeds/{$feedId}/refresh");
curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
curl_setopt($ch, CURLOPT_HTTPHEADER, [
'key: YOUR_API_KEY',
'Content-Type: application/json',
]);
$response = curl_exec($ch);
curl_close($ch);
{
"message": "Your feed is being refreshed"
}
{
"errors": "Account must be marketer+ tariff"
}
{
"errors": "Feed can be refreshed just once per hour"
}
Feeds
Refresh data feed
Trigger a refresh of a data feed.
GET
/
data-feeds
/
{feed_id}
/
refresh
curl https://api2.ecomailapp.cz/data-feeds/1/refresh \
-H "key: YOUR_API_KEY" \
-H "Content-Type: application/json"
$feedId = 1;
$ch = curl_init();
curl_setopt($ch, CURLOPT_URL, "https://api2.ecomailapp.cz/data-feeds/{$feedId}/refresh");
curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
curl_setopt($ch, CURLOPT_HTTPHEADER, [
'key: YOUR_API_KEY',
'Content-Type: application/json',
]);
$response = curl_exec($ch);
curl_close($ch);
{
"message": "Your feed is being refreshed"
}
{
"errors": "Account must be marketer+ tariff"
}
{
"errors": "Feed can be refreshed just once per hour"
}
Limited to 1 refresh per hour. Only available for Marketer+ accounts and feeds with fewer than 50,000 items.
integer
required
ID of the data feed.
curl https://api2.ecomailapp.cz/data-feeds/1/refresh \
-H "key: YOUR_API_KEY" \
-H "Content-Type: application/json"
$feedId = 1;
$ch = curl_init();
curl_setopt($ch, CURLOPT_URL, "https://api2.ecomailapp.cz/data-feeds/{$feedId}/refresh");
curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
curl_setopt($ch, CURLOPT_HTTPHEADER, [
'key: YOUR_API_KEY',
'Content-Type: application/json',
]);
$response = curl_exec($ch);
curl_close($ch);
{
"message": "Your feed is being refreshed"
}
{
"errors": "Account must be marketer+ tariff"
}
{
"errors": "Feed can be refreshed just once per hour"
}
⌘I